<div style="width: 100%; padding: 10px">
<h1>
  [[i18n "add_graph" bundle="languages/resource_forms_admin_permissions" locale=this.lang]]
 </h1>
 [[#if (hasPermission "home:view-admin:*")]]
 <semantic-form fields='[
          {
                "id": "graph",
                "label": "Select a permissions set",
                "selectPattern": "Select ?value where {graph <http://permissions.lincsproject.ca>  {$value a crm:D1_Digital_Object; crm:P2_has_type <http://id.lincsproject.ca/permissionSet> }}",
                "valueSetPattern": "SELECT DISTINCT ?value (strafter(str(?s), \"http://graph.lincsproject.ca/\") as ?label) where {graph <http://metadata.lincsproject.ca>  {?value a <http://rdfs.org/ns/void#Dataset> }}",
                "insertPattern": "INSERT {$subject a <http://www.ics.forth.gr/isl/CRMdig/D1_Digital_Object> , prov:Entity ; crm:P2_has_type <http://id.lincsproject.ca/permissionSet> } where {}",
                "deletePattern": "DELETE {$subject a <http://www.ics.forth.gr/isl/CRMdig/D1_Digital_Object> , prov:Entity ; crm:P2_has_type <http://id.lincsproject.ca/permissionSet> } where {}",
                "minOccurs": "1",
                "maxOccurs": "1"
          },
          {
            "id": "permits",
            "label": "Permitted users",
            "selectPattern": "Select ?value where {graph <http://permissions.lincsproject.ca>  {?subject a <http://www.ics.forth.gr/isl/CRMdig/D1_Digital_Object>  ; <http://id.lincsproject.ca/permits>  ?value}}",
            "valueSetPattern": "Select DISTINCT ?label ?value where {graph <http://permissions.lincsproject.ca>  {?subject a <http://www.ics.forth.gr/isl/CRMdig/D1_Digital_Object>  ; <http://id.lincsproject.ca/permits>  ?value . ?value rdfs:label ?label}}",
            "insertPattern": "INSERT {?subject a <http://www.ics.forth.gr/isl/CRMdig/D1_Digital_Object> , <http://www.w3.org/ns/prov#Entity>  ; <http://id.lincsproject.ca/permits>  ?value} WHERE {}",
            "deletePattern": "DELETE {?subject a <http://www.ics.forth.gr/isl/CRMdig/D1_Digital_Object> , <http://www.w3.org/ns/prov#Entity>  ; <http://id.lincsproject.ca/permits>  ?value} WHERE {}",
            "minOccurs": "1",
            "maxOccurs": "unbound"
      }
  ]' id="permissions-form" new-subject-template="http://id.lincsproject.ca/{{{{raw}}}}{{UUID}}{{{{/raw}}}}" persistence='{"type": "sparql", "targetGraphIri": "http://permissions.lincsproject.ca"}' post-action="redirect" subject="{{node}}">
<div class="form-scroll-area">
<semantic-form-select-input for="graph">
</semantic-form-select-input>
<semantic-form-checklist-input for="permits">
</semantic-form-checklist-input>
</div>
<button class="btn btn-default" name="submit">
   [[i18n "save" bundle="languages/resource_forms_admin_permissions" locale=this.lang]]
  </button>
<button class="btn btn-default" name="delete">
   [[i18n "delete" bundle="languages/resource_forms_admin_permissions" locale=this.lang]]
  </button>
<button class="btn btn-default" name="reset">
   [[i18n "reset" bundle="languages/resource_forms_admin_permissions" locale=this.lang]]
  </button>
</semantic-form>
 [[else]][[i18n "else_you" bundle="languages/resource_forms_admin_permissions" locale=this.lang]][[/if]]
</div>
